
import {Jump} from "../utils/route.js";
export default {
    data() {
        return {
            isInitOk:false,

            // 如果页面开启了下拉刷新，用来判断关闭下拉刷新的
            isPullDownRefresh:false

        }
    },

    methods: {
        // 检查是否开启了下拉刷新
        checkPullDownRefresh(){
            if(this.isPullDownRefresh){
                uni.stopPullDownRefresh()
            }
        },

        //封装post调用接口的方法,
        formatMoney: function (s, n) {
            if (!s) s = 0
            n = n > 0 && n <= 20 ? n : 2
            s = parseFloat((s + '').replace(/[^\d.-]/g, '')).toFixed(n) + ''
            const l = s.split('.')[0].split('').reverse()
            const r = s.split('.')[1]
            let t = ''
            for (let i = 0; i < l.length; i++) {
                t += l[i] + ((i + 1) % 3 === 0 && (i + 1) !== l.length ? ',' : '')
            }
            return t.split('').reverse().join('') + '.' + r
        },


        // 页面跳转
        Go(url, type) {
            Jump(url, type)
        },
        // 返回
        Back(num=1) {
            uni.navigateBack({
                delta: num
            })
        },
        // 打电话
        handleCall(phoneNumber) {
            uni.makePhoneCall({
                phoneNumber
            })
        },
        // Toast提示框
        toast(title, type) {
            uni.showToast({
                icon: type ? type : "none",
                title
            })
        }
    }
}
